# ww3

Download records for a single point from the WaveWatch III WW3 global wave model.

## installation

```
conda install -c anaconda netcdf4
conda install -c conda-forge xarray
```

## WaveWatch III parameters
| Name        | Description                                                           | Units   |
|-------------|-----------------------------------------------------------------------|---------|
| `longitude` | Longitude                                                             | degrees |
| `latitude`  | Latitude                                                              | degrees |
| `time`      | Julian day (UT)                                                       | -       |
| `MAPSTA`    | Status map                                                            | 1       |
| `U10`       | Eastward_wind                                                         | m/s     |
| `V10`       | Northward_wind                                                        | m/s     |
| `CI`        | Sea ice area fraction                                                 | -       |
| `hs`        | Significant height of wind and swell waves                            | m       |
| `wl`        | Mean wave length                                                      | m       |
| `t02`       | Mean period Tm02                                                      | s       |
| `t`         | Mean period Tm01                                                      | s       |
| `tm0m1`     | Mean period Tm0-1                                                     | s       |
| `CgE`       | Wave energy flux                                                      | kW/m    |
| `fp`        | Wave peak frequency                                                   | s-1     |
| `dir`       | Wave mean direction                                                   | degrees |
| `spr`       | Directional spread                                                    | degrees |
| `dp`        | Peak direction                                                        | degrees |
| `hs0`       | Wave significant height partition 0                                   | m       |
| `hs1`       | Wave significant height partition 1                                   | m       |
| `hs2`       | Wave significant height partition 2                                   | m       |
| `hs3`       | Wave significant height partition 3                                   | m       |
| `tp0`       | Peak period partition 0                                               | s       |
| `tp1`       | Peak period partition 1                                               | s       |
| `tp2`       | Peak period partition 2                                               | s       |
| `tp3`       | Peak period partition 3                                               | s       |
| `lp0`       | Mean wave length partition 0                                          | m       |
| `lp1`       | Mean wave length partition 1                                          | m       |
| `lp2`       | Mean wave length partition 2                                          | m       |
| `lp3`       | Mean wave length partition 3                                          | m       |
| `th0`       | Wave mean direction partition 0                                       | degrees |
| `th1`       | Wave mean direction partition 1                                       | degrees |
| `th2`       | Wave mean direction partition 2                                       | degrees |
| `th3`       | Wave mean direction partition 3                                       | degrees |
| `si0`       | Directional spread partition 0                                        | degrees |
| `si1`       | Directional spread partition 1                                        | degrees |
| `si2`       | Directional spread partition 2                                        | degrees |
| `si3`       | Directional spread partition 3                                        | degrees |
| `ws0`       | Wind sea fraction in partition 0                                      | -       |
| `ws1`       | Wind sea fraction in partition 1                                      | -       |
| `ws2`       | Wind sea fraction in partition 2                                      | -       |
| `ws3`       | Wind sea fraction in partition 3                                      | -       |
| `wsf`       | Wind sea fraction                                                     | 1       |
| `pnr`       | Number of wave partitions                                             | 1       |
| `dtd`       | Dynamic time step                                                     | min.    |
| `uust`      | Eastward friction velocity                                            | m/s     |
| `vust`      | Northward friction velocity                                           | m/s     |
| `cha`       | Charnock coefficient for surface roughness length for momentum in air | 1       |
| `faw`       | Wind to wave energy flux                                              | Wm-2    |
| `utaw`      | Eastward wave supported wind stress                                   | m2s-2   |
| `vtaw`      | Northward wave supported wind stress                                  | m2s-2   |
| `utwa`      | Eastward wave to wind stress                                          | m2/s2   |
| `vtwa`      | Northward wave to wind stress                                         | m2/s2   |
| `wcc`       | Whitecap coverage                                                     | 1       |
| `Sxx`       | Radiation stress component Sxx                                        | N/m     |
| `Syy`       | Radiation stress component Syy                                        | N/m     |
| `Sxy`       | Radiation stress component Sxy                                        | N/m     |
| `utwo`      | Eastward wave to ocean stress                                         | m2/s2   |
| `vtwo`      | Northward wave to ocean stress                                        | s       |
| `uuss`      | Eastward surface stokes drift                                         | m/s     |
| `vuss`      | Northward surface stokes drift                                        | m/s     |
